<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML><HEAD>
<meta http-equiv="Content-Type" content="text/html;charset=us-ascii">
<title>route-rnd - route-rnd manual</title>
</HEAD><BODY>
<!--
route-rnd - manual
Copyright (C) 2021 Tibor 'Igor2' Palinkas

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

Contact: pcb-rnd-man[removethis]@igor2.repo.hu
-->
<table width="100%">
<TR>
		<TH align="left">   route-rnd 1
		<TH align="center"> 2021-10-10
		<TH align="right">  route-rnd manual
</table>



<H3>NAME</H3>
<blockquote>
route-rnd - external PCB autorouter
</blockquote>

<H3>SYNPOSIS</H3>
<blockquote>
<P>
<tt><B>route-rnd</B> [-v] -m <I>method</I> [-o <I>out_fn</I>] <I>inp_fn</I></tt>
<BR><tt><B>route-rnd</B> -m <I>method</I> -l</tt>
<BR><tt><B>route-rnd</B> -M</tt>



</blockquote>

<H3>DESCRIPTION</H3>
<blockquote>
<B>route-rnd</B> takes a route request in tEDAx form, routes zero or more nets and returns a route result in tEDAx form. It has options to list methods (algorithms) and their settings in computer readable format.
</blockquote>


<H3>OPTIONS</H3>
<blockquote>

<table border=1>

	<TR>

		<TD> -M 
		<TD> List available methods (in TSV format) on stdout. 
	<TR>

		<TD> -m <I>method</I> 
		<TD> Select which method (algorithm) to use; method names can be learned from the first column of -M output. 
	<TR>

		<TD> -l 
		<TD> List config options of a method in tEDAx route res format on stdout. Use it together with -m. 
	<TR>

		<TD> -v 
		<TD> increase verbosity (can be specified multiple times) 
	<TR>

		<TD> -o <I>out_fn</I> 
		<TD> Output file name (for tEDAx route result). 
	<TR>

		<TD> <I>inp_fn</I> 
		<TD> Input file name (tEDAx route request).
</table>
</blockquote>

<H3>SEE ALSO</H3>
<UL>
<LI> pcb-rnd(1)
</UL>
<P>
<table width="100%">
<TR>
		<TH align="left">   route-rnd 1
		<TH align="center"> 2021-10-10
		<TH align="right">  route-rnd manual
</table>


</BODY></HTML>
